Bug 1879541 (CVE-2020-9925) - CVE-2020-9925 webkitgtk: A logic issue may lead to cross site scripting
Summary: CVE-2020-9925 webkitgtk: A logic issue may lead to cross site scripting
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-9925
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1881732 1881733 1881734
Blocks: 1879543
TreeView+ depends on / blocked
 
Reported: 2020-09-16 13:52 UTC by Pedro Sampaio
Modified: 2021-02-16 19:15 UTC (History)
3 users (show)

Fixed In Version: webkitgtk 2.28.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 02:26:54 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4451 0 None None None 2020-11-04 01:05:34 UTC

Description Pedro Sampaio 2020-09-16 13:52:00 UTC
A logic issue was found in webkitgtk. Processing maliciously crafted web content may lead to universal cross site scripting. Versions affected: WebKitGTK before 2.28.4 and WPE WebKit before 2.28.4.

Comment 1 Pedro Sampaio 2020-09-16 13:52:04 UTC
External References:

https://webkitgtk.org/security/WSA-2020-0007.html

Comment 3 errata-xmlrpc 2020-11-04 01:05:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4451 https://access.redhat.com/errata/RHSA-2020:4451

Comment 4 Product Security DevOps Team 2020-11-04 02:26:54 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-9925


Note You need to log in before you can comment on or make changes to this bug.